### Property

# Shumate RasterRenderer:data-source

since: 1.0

#### Declaration

    property data-source: Shumate.DataSource [ read, write, construct-only ]

#### Description [src]

The data source that provides image tiles to display. In most cases, a `ShumateTileDownloader` is sufficient.

Type: | `ShumateDataSource`
Available since: | 1.0

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes